- Qt 5.15
- Qt Core
- C++ Classes
- QMetaType
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QMetaType

The following members of class QMetaType are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Static Public Members

`(obsolete)` void * | construct(int type, const void *copy = nullptr)

## Member Function Documentation

### `[static]` void *QMetaType::construct(int type, const void *copy = nullptr)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Constructs a value of the given type which is a copy of copy. The default value for copy is `nullptr`.

Deprecated, use the static function QMetaType::create(int type, const void *copy) instead.